be.cin.io.sealed.medicaladvisoragreement.consult.v1

## Class Request

- java.lang.Object
- - be.cin.io.sealed.medicaladvisoragreement.consult.v1.Request

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:59:14+02:00",
                 comments="JAXB RI v2.2.11")
      public class Request
      extends Object
      implements Serializable

  Java class for RequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareReceiver" type="{urn:be:cin:types:v1}CareReceiverIdType"/>
               <element name="AgreementStartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="UnsealKeyId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="SealedContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAgreementStartDate()` Gets the value of the agreementStartDate property.
    `CareReceiverIdType` | `getCareReceiver()` Gets the value of the careReceiver property.
    `byte[]` | `getSealedContent()` Gets the value of the sealedContent property.
    `String` | `getUnsealKeyId()` Gets the value of the unsealKeyId property.
    `void` | `setAgreementStartDate(org.joda.time.DateTime value)` Sets the value of the agreementStartDate property.
    `void` | `setCareReceiver(CareReceiverIdType value)` Sets the value of the careReceiver property.
    `void` | `setSealedContent(byte[] value)` Sets the value of the sealedContent property.
    `void` | `setUnsealKeyId(String value)` Sets the value of the unsealKeyId property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request()

  - ### Method Detail

    - #### getCareReceiver

          public CareReceiverIdType getCareReceiver()

      Gets the value of the careReceiver property.
      Returns:
        possible object is `CareReceiverIdType`

    - #### setCareReceiver

          public void setCareReceiver(CareReceiverIdType value)

      Sets the value of the careReceiver property.
      Parameters:
        `value` - allowed object is `CareReceiverIdType`

    - #### getAgreementStartDate

          public org.joda.time.DateTime getAgreementStartDate()

      Gets the value of the agreementStartDate property.
      Returns:
        possible object is `String`

    - #### setAgreementStartDate

          public void setAgreementStartDate(org.joda.time.DateTime value)

      Sets the value of the agreementStartDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUnsealKeyId

          public String getUnsealKeyId()

      Gets the value of the unsealKeyId property.
      Returns:
        possible object is `String`

    - #### setUnsealKeyId

          public void setUnsealKeyId(String value)

      Sets the value of the unsealKeyId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSealedContent

          public byte[] getSealedContent()

      Gets the value of the sealedContent property.
      Returns:
        possible object is byte[]

    - #### setSealedContent

          public void setSealedContent(byte[] value)

      Sets the value of the sealedContent property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.